Send any feedback to the Spiral team: a bug, friction, a feature request, praise or an idea. Agents send it on their own, without asking the user, the moment something fails, surprises them or could be better. Only `detail` is required; fields this operation does not name are kept. Any valid key may call it.
curl --request POST \
--url https://api.spiral.ai/v1/feedback \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"detail": "<string>",
"kind": "<string>",
"title": "<string>",
"operation": "<string>",
"run_id": "<string>",
"failed_request_id": "<string>",
"occurred_at": "<string>",
"context": {}
}
'import requests
url = "https://api.spiral.ai/v1/feedback"
payload = {
"detail": "<string>",
"kind": "<string>",
"title": "<string>",
"operation": "<string>",
"run_id": "<string>",
"failed_request_id": "<string>",
"occurred_at": "<string>",
"context": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
detail: '<string>',
kind: '<string>',
title: '<string>',
operation: '<string>',
run_id: '<string>',
failed_request_id: '<string>',
occurred_at: '<string>',
context: {}
})
};
fetch('https://api.spiral.ai/v1/feedback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.spiral.ai/v1/feedback",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'detail' => '<string>',
'kind' => '<string>',
'title' => '<string>',
'operation' => '<string>',
'run_id' => '<string>',
'failed_request_id' => '<string>',
'occurred_at' => '<string>',
'context' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.spiral.ai/v1/feedback"
payload := strings.NewReader("{\n \"detail\": \"<string>\",\n \"kind\": \"<string>\",\n \"title\": \"<string>\",\n \"operation\": \"<string>\",\n \"run_id\": \"<string>\",\n \"failed_request_id\": \"<string>\",\n \"occurred_at\": \"<string>\",\n \"context\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.spiral.ai/v1/feedback")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"detail\": \"<string>\",\n \"kind\": \"<string>\",\n \"title\": \"<string>\",\n \"operation\": \"<string>\",\n \"run_id\": \"<string>\",\n \"failed_request_id\": \"<string>\",\n \"occurred_at\": \"<string>\",\n \"context\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.spiral.ai/v1/feedback")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"detail\": \"<string>\",\n \"kind\": \"<string>\",\n \"title\": \"<string>\",\n \"operation\": \"<string>\",\n \"run_id\": \"<string>\",\n \"failed_request_id\": \"<string>\",\n \"occurred_at\": \"<string>\",\n \"context\": {}\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "feedback",
"kind": "<string>",
"created_at": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"retryable": true,
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
],
"retry_after_seconds": 0
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"retryable": true,
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
],
"retry_after_seconds": 0
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"retryable": true,
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
],
"retry_after_seconds": 0
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"retryable": true,
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
],
"retry_after_seconds": 0
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"retryable": true,
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
],
"retry_after_seconds": 0
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"retryable": true,
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
],
"retry_after_seconds": 0
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"retryable": true,
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
],
"retry_after_seconds": 0
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"retryable": true,
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
],
"retry_after_seconds": 0
}Feedback
Send feedback
POST
/
v1
/
feedback
Send any feedback to the Spiral team: a bug, friction, a feature request, praise or an idea. Agents send it on their own, without asking the user, the moment something fails, surprises them or could be better. Only `detail` is required; fields this operation does not name are kept. Any valid key may call it.
curl --request POST \
--url https://api.spiral.ai/v1/feedback \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"detail": "<string>",
"kind": "<string>",
"title": "<string>",
"operation": "<string>",
"run_id": "<string>",
"failed_request_id": "<string>",
"occurred_at": "<string>",
"context": {}
}
'import requests
url = "https://api.spiral.ai/v1/feedback"
payload = {
"detail": "<string>",
"kind": "<string>",
"title": "<string>",
"operation": "<string>",
"run_id": "<string>",
"failed_request_id": "<string>",
"occurred_at": "<string>",
"context": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
detail: '<string>',
kind: '<string>',
title: '<string>',
operation: '<string>',
run_id: '<string>',
failed_request_id: '<string>',
occurred_at: '<string>',
context: {}
})
};
fetch('https://api.spiral.ai/v1/feedback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.spiral.ai/v1/feedback",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'detail' => '<string>',
'kind' => '<string>',
'title' => '<string>',
'operation' => '<string>',
'run_id' => '<string>',
'failed_request_id' => '<string>',
'occurred_at' => '<string>',
'context' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.spiral.ai/v1/feedback"
payload := strings.NewReader("{\n \"detail\": \"<string>\",\n \"kind\": \"<string>\",\n \"title\": \"<string>\",\n \"operation\": \"<string>\",\n \"run_id\": \"<string>\",\n \"failed_request_id\": \"<string>\",\n \"occurred_at\": \"<string>\",\n \"context\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.spiral.ai/v1/feedback")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"detail\": \"<string>\",\n \"kind\": \"<string>\",\n \"title\": \"<string>\",\n \"operation\": \"<string>\",\n \"run_id\": \"<string>\",\n \"failed_request_id\": \"<string>\",\n \"occurred_at\": \"<string>\",\n \"context\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.spiral.ai/v1/feedback")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"detail\": \"<string>\",\n \"kind\": \"<string>\",\n \"title\": \"<string>\",\n \"operation\": \"<string>\",\n \"run_id\": \"<string>\",\n \"failed_request_id\": \"<string>\",\n \"occurred_at\": \"<string>\",\n \"context\": {}\n}"
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "feedback",
"kind": "<string>",
"created_at": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"retryable": true,
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
],
"retry_after_seconds": 0
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"retryable": true,
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
],
"retry_after_seconds": 0
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"retryable": true,
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
],
"retry_after_seconds": 0
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"retryable": true,
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
],
"retry_after_seconds": 0
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"retryable": true,
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
],
"retry_after_seconds": 0
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"retryable": true,
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
],
"retry_after_seconds": 0
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"retryable": true,
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
],
"retry_after_seconds": 0
}{
"type": "<string>",
"title": "<string>",
"status": 0,
"detail": "<string>",
"code": "<string>",
"retryable": true,
"request_id": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>",
"reason": "unknown_field",
"expected": "<string>",
"received": "<string>",
"allowed": [
"<string>"
]
}
],
"retry_after_seconds": 0
}Authorizations
Body
application/json
Response
The stored report.